$(function(){
	if($('#birthyear').val()!=''){
		var byt=$('#birthyear option[selected]').html();
		var byid=$('#birthyear').parent('.select').find('.s_tit span')
		byid.html(byt);
	}
})

/*单选美化label,隐藏radio靠label点击*/
$('.checked label').click(function(){
      if($(this).find('input').is(':checked')){
          $(this).addClass('on').siblings().removeClass('on'); 
      }
});
/*复选美化label,隐藏checkbox靠label点击*/
$('.checkbox label').click(function(){
        if ($(this).find('input').is(':checked')) {
            $(this).find('input').attr("checked",true).prop("checked","checked").parent().siblings().removeClass('on').find('input').removeAttr("checked");
            $(this).parent().addClass('on')
        } else {
            $(this).parent().removeClass('on')
        }
    });

/*自定义SELECT*/
$('.select select').change(function(){
        var text = $(this).children('option:selected').text(), val = $(this).children('option:selected').val();
        $(this).prev().find('span').text(text)
})
$('.morechecked label').click(function(){
      if($(this).find('input').is(':checked')){
          $(this).addClass('on').siblings().removeClass('on'); 
      }
});

function checkpbzai(){
	var flag=true;
	if($('#sx').val()==''){
		flag=false;
		point('请选择朝向');
	}
	if(flag==true){
		$('#pbzaiform').submit();
	}
}
function point(a){
        var point = $('<div class="point">'+a+'</div>');
        $("body").append(point);
        var left = ($(window).width()-point.outerWidth())/2,
            top = ($(window).height()-point.outerHeight())/2;
        point.css({left:left,top:top}).addClass('show');
        setTimeout(function(){
            point.removeClass('show');
            setTimeout(function(){
                point.remove()
            },200)
        },2000)
 }